% 4F8 Coding Course - Demonstration Help File
% Nick Kingsbury, Nov 2002.
%
% DEMO1L.M
% Lecture 1, Colour Demonstrations:
% Effects of quantisation -- contouring, show Claire quantised to
% 6, 4, 2 bits in Y and in CrCb.  Also show effects of reducing
% the sampling rate by 4:1 and 16:1 for Y and CrCb.
%
% DEMO2.M
% I8 Coding Course - Lecture 1, Spectrum Demonstrations:
%
% DEMO3.M
% I8 Coding Course - Lecture 1, Haar Transform Demonstrations:
%
% DEMO3A.M
% Now redo inverse transform with qstep = 30.
%
% Demo3b.m
% Collect the cumulative entropies together and plot them
% all on one bar chart to compare real Huffman codes and
% run-length codes with ideal entropies.
%
% DEMODCT.M
% Demonstrate the 4 and 8-point DCTs.
%
% DEMODCT2.M
% Perform DCT analysis of Lenna and calculate entropies etc.
%
% DEMODCT3.M
% Perform DCT analysis of Lenna using 4x4 DCTs and
% calculate entropies etc.
%
% DEMODCT4.M
% Perform DCT analysis of Lenna using 16x16 DCTs and
% calculate entropies etc.
%
% DEMODCT5.M
% Compare DCT entropies with Haar entropies.
%
% DEMODCT6.M
% Perform DCT analysis of Lenna using 8x8 DCTs with different quantiser
% strategies (qstep=15,30 and Qjpeg, Qjpeg*2), and calculate entropies etc.
%
% DEMODCT7.M
% Perform DCT analysis of Lenna using 8x8 DCTs with adjustable quantiser
% scale factors, and calculate entropies etc.
%
% DEMJPEG0.M
% Calculate dc subband of DCT of lenna, do differential coding on it
% and show entropy reduction.
%
% DEMJPEG1.M
% Calculate probabilities for JPEG run/ampl codes on lenna and bit rates using
% both the default and custom Huffman tables, when Qlum quantiser is used.
%
% DEMJPEG2.M
% As for DEMJPEG1, except with 2*Qlum quantiser matrix.
%
% DEMJPEG3.M
% As for DEMJPEG1, except with any scaling of Qlum quantiser matrix.
%
% DEMQCIF.M
% Convert a QCIF serquence into a .YUQ sequence.
%
% DEMWAV1.M
% Plot impulse and frequency responses of the following wavelets:
%   Haar wavelet,
%   Le Gall analysis and reconstruction wavelets,
%   Daubechies 4-tap wavelets,
%   Tay/Kingsbury near-balanced 5,7-tap wavelets,
%   Tay/Kingsbury near-balanced 13,19 tap wavelets.
%
% DEMWAV1A.M
% Plot impulse and frequency responses of the following wavelets:
%   Haar wavelet,
%   Le Gall analysis and reconstruction wavelets,
%   Daubechies 4-tap wavelets,
%   Tay/Kingsbury near-balanced 5,7-tap wavelets,
%   Tay/Kingsbury near-balanced 13,19 tap wavelets.
%   Antonini 7,9-tap wavelets (Trans IP, April 92, p 205).
%
% DEMWAV2.M
% Perform analysis of lenna using the following wavelets:
%   Haar wavelet,
%   Le Gall analysis and reconstruction wavelets,
%   Dabechies 4-tap wavelets,
%   Tay/Kingsbury near-balanced 5,7-tap wavelets,
%   Tay/Kingsbury near-balanced 13,19-tap wavelets.
%
% DEMWAV2a.M
% Display the results from DEMWAV2.M, and then display fig2.7d
% to show which images are quantised by what.
%
% DEMWAV3.M
% Perform 2-D wavelet displays of the following wavelets:
%   Haar wavelet,
%   Le Gall analysis and reconstruction wavelets,
%   Dabechies 4-tap wavelets,
%   Tay/Kingsbury near-balanced 5,7-tap wavelets,
%   Tay/Kingsbury near-balanced 13,19-tap wavelets.
%
% DEMWAV4.M
% Calculate the following wavelets:
%   Haar wavelet,
%   Le Gall analysis and reconstruction wavelets,
%   Dabechies 4-tap wavelets,
%   Tay/Kingsbury near-balanced 5,7-tap wavelets,
%   Tay/Kingsbury near-balanced 13,19-tap wavelets (ma = 2/16).
%
% YUQ2MOVI.M
% Convert QCIF YUV (.YUQ) files to RGB format and save them as .MAT
% files, suitable for use with MOVI.M.
% Define name (filename) and nframes (no of frames to convert).
%
% MOVI.M
% Display colour movie images using IMAGE in its full-colour mode.
% In particular this selects various versions of the suzie sequence
% (original, coded at 64kb/s, and coded at 32kb/s), according to
% the current figure selected (gcf).
% Use:  figure;movi   eight times to set up the 8 figure windows 
% correctly.  Control it using fr and rpt.


