% Laplace2.m
% Demonstrate entropy of a Laplacian distribution.

x0 = 1;
q = [1:100]'/20;

al = sinh(q/(2*x0));
r = exp(-q/x0);

sr = sqrt(r);

H = (-(1-sr).*log(1-sr) - (2*al.*r)./((1-r).^2) .* ((1-r).*log(al) + log(r)))/log(2);
% H1 = (1 - log(q/(2*x0)))/log(2);
H1 = log2((2*exp(1)*x0*ones(size(q))) ./ q);
H2 = log2(sqrt(((2*exp(1)*x0*ones(size(q))) ./ q).^2 + 1));
setfig(2)
plot(H1,[H H1 H2]);