function y = norm255(x)

% function y = norm255(x)
% Normalise the image x so all its elements lie between 1 and 255.

minx = min(x(:));
maxx = max(x(:));
scale = 254 / (maxx - minx);
offset = 1/scale - minx;

y = round(scale * (x + offset));
return;

