function drawfile(a,filename);
% Function to send an image to a disc file with a map matched to it.
% A gray-scale of full peak-peak range is used.


  mina = min(a(:));
  maxa = max(a(:));

% Generate a linear greyscale map.
  map = (([0:255]' + 0.5)/256) * ones(1,3);

  graysc = (length(map) - 1) / (maxa-mina);
  fprintf(1,'File %s: black = %f, white = %f\n', filename, mina, maxa);
  a = round((a - mina) * graysc) + 1;

  gifwrite(a,map,filename);

  return;



